~vesto/grooveboat

6f1d9a1d3a072e736806adb01a3d4868de414cdb — Steve Gattuso 5 years ago e425e6d
remove ipfsd dependency causing security issue
2 files changed, 27 insertions(+), 939 deletions(-)

M package.json
M yarn.lock
M package.json => package.json +0 -1
@@ 45,7 45,6 @@
    "fs-extra": "^8.0.1",
    "howler": "2.0.15",
    "immutable": "^4.0.0-rc.12",
    "ipfsd-ctl": "^0.42.4",
    "jsmediatags": "^3.8.1",
    "jsonwebtoken": "^8.5.1",
    "pouchdb-browser": "^7.0.0",

M yarn.lock => yarn.lock +27 -938
@@ 748,13 748,6 @@ abbrev@1:
  version "1.1.1"
  resolved "https://registry.yarnpkg.com/abbrev/-/abbrev-1.1.1.tgz#f8f2c887ad10bf67f634f005b6987fed3179aac8"

accept@2.x.x:
  version "2.1.4"
  resolved "https://registry.yarnpkg.com/accept/-/accept-2.1.4.tgz#887af54ceee5c7f4430461971ec400c61d09acbb"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"

acorn-globals@^4.1.0:
  version "4.3.2"
  resolved "https://registry.yarnpkg.com/acorn-globals/-/acorn-globals-4.3.2.tgz#4e2c2313a597fd589720395f6354b41cd5ec8006"


@@ 795,13 788,6 @@ alphanum-sort@^1.0.0:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/alphanum-sort/-/alphanum-sort-1.0.2.tgz#97a1119649b211ad33691d9f9f486a8ec9fbe0a3"

ammo@2.x.x:
  version "2.0.4"
  resolved "https://registry.yarnpkg.com/ammo/-/ammo-2.0.4.tgz#bf80aab211698ea78f63ef5e7f113dd5d9e8917f"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"

ansi-escapes@^3.2.0:
  version "3.2.0"
  resolved "https://registry.yarnpkg.com/ansi-escapes/-/ansi-escapes-3.2.0.tgz#8780b98ff9dbf5638152d1f1fe5c1d7b4442976b"


@@ 900,10 886,6 @@ arraybuffer.slice@~0.0.7:
  version "0.0.7"
  resolved "https://registry.yarnpkg.com/arraybuffer.slice/-/arraybuffer.slice-0.0.7.tgz#3bbc4275dd584cc1b10809b89d4e8b63a69e7675"

asmcrypto.js@^2.3.2:
  version "2.3.2"
  resolved "https://registry.yarnpkg.com/asmcrypto.js/-/asmcrypto.js-2.3.2.tgz#b9f84bd0a1fb82f21f8c29cc284a707ad17bba2e"

asn1.js@^4.0.0:
  version "4.10.1"
  resolved "https://registry.yarnpkg.com/asn1.js/-/asn1.js-4.10.1.tgz#b9c2bf5805f1e64aadeed6df3a2bfafb5a73f5a0"


@@ 912,14 894,6 @@ asn1.js@^4.0.0:
    inherits "^2.0.1"
    minimalistic-assert "^1.0.0"

asn1.js@^5.0.1:
  version "5.0.1"
  resolved "https://registry.yarnpkg.com/asn1.js/-/asn1.js-5.0.1.tgz#7668b56416953f0ce3421adbb3893ace59c96f59"
  dependencies:
    bn.js "^4.0.0"
    inherits "^2.0.1"
    minimalistic-assert "^1.0.0"

asn1@~0.2.3:
  version "0.2.4"
  resolved "https://registry.yarnpkg.com/asn1/-/asn1-0.2.4.tgz#8d2475dfab553bb33e77b54e59e880bb8ce23136"


@@ 961,12 935,6 @@ async@0.1.x:
  version "0.1.22"
  resolved "https://registry.yarnpkg.com/async/-/async-0.1.22.tgz#0fc1aaa088a0e3ef0ebe2d8831bab0dcf8845061"

async@^2.6.1, async@^2.6.2:
  version "2.6.2"
  resolved "https://registry.yarnpkg.com/async/-/async-2.6.2.tgz#18330ea7e6e313887f5d2f2a904bac6fe4dd5381"
  dependencies:
    lodash "^4.17.11"

asynckit@^0.4.0:
  version "0.4.0"
  resolved "https://registry.yarnpkg.com/asynckit/-/asynckit-0.4.0.tgz#c79ed97f7f34cb8f2ba1bc9790bcc366474b4b79"


@@ 1002,10 970,6 @@ axobject-query@^2.0.2:
  dependencies:
    ast-types-flow "0.0.7"

b64@3.x.x:
  version "3.0.3"
  resolved "https://registry.yarnpkg.com/b64/-/b64-3.0.3.tgz#36afeee0d9345f046387ce6de8a6702afe5bb56e"

babel-eslint@^10.0.2:
  version "10.0.2"
  resolved "https://registry.yarnpkg.com/babel-eslint/-/babel-eslint-10.0.2.tgz#182d5ac204579ff0881684b040560fdcc1558456"


@@ 1057,18 1021,6 @@ balanced-match@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/balanced-match/-/balanced-match-1.0.0.tgz#89b4d199ab2bee49de164ea02b89ce462d71b767"

base-x@3.0.4:
  version "3.0.4"
  resolved "https://registry.yarnpkg.com/base-x/-/base-x-3.0.4.tgz#94c1788736da065edb1d68808869e357c977fa77"
  dependencies:
    safe-buffer "^5.0.1"

base-x@^3.0.2, base-x@^3.0.5:
  version "3.0.5"
  resolved "https://registry.yarnpkg.com/base-x/-/base-x-3.0.5.tgz#d3ada59afed05b921ab581ec3112e6444ba0795a"
  dependencies:
    safe-buffer "^5.0.1"

base64-arraybuffer@0.1.5:
  version "0.1.5"
  resolved "https://registry.yarnpkg.com/base64-arraybuffer/-/base64-arraybuffer-0.1.5.tgz#73926771923b5a19747ad666aa5cd4bf9c6e9ce8"


@@ 1101,45 1053,19 @@ better-assert@~1.0.0:
  dependencies:
    callsite "1.0.0"

bignumber.js@^8.0.1, bignumber.js@^8.0.2:
  version "8.1.1"
  resolved "https://registry.yarnpkg.com/bignumber.js/-/bignumber.js-8.1.1.tgz#4b072ae5aea9c20f6730e4e5d529df1271c4d885"

binary-extensions@^1.0.0:
  version "1.13.1"
  resolved "https://registry.yarnpkg.com/binary-extensions/-/binary-extensions-1.13.1.tgz#598afe54755b2868a5330d2aff9d4ebb53209b65"

bindings@^1.3.0, bindings@^1.5.0:
  version "1.5.0"
  resolved "https://registry.yarnpkg.com/bindings/-/bindings-1.5.0.tgz#10353c9e945334bc0511a6d90b38fbc7c9c504df"
  dependencies:
    file-uri-to-path "1.0.0"

bindings@~1.2.1:
  version "1.2.1"
  resolved "https://registry.yarnpkg.com/bindings/-/bindings-1.2.1.tgz#14ad6113812d2d37d72e67b4cacb4bb726505f11"

bip66@^1.1.5:
  version "1.1.5"
  resolved "https://registry.yarnpkg.com/bip66/-/bip66-1.1.5.tgz#01fa8748785ca70955d5011217d1b3139969ca22"
  dependencies:
    safe-buffer "^5.0.1"

bl@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/bl/-/bl-3.0.0.tgz#3611ec00579fd18561754360b21e9f784500ff88"
  dependencies:
    readable-stream "^3.0.1"

blakejs@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/blakejs/-/blakejs-1.1.0.tgz#69df92ef953aa88ca51a32df6ab1c54a155fc7a5"

blob@0.0.5:
  version "0.0.5"
  resolved "https://registry.yarnpkg.com/blob/-/blob-0.0.5.tgz#d680eeef25f8cd91ad533f5b01eed48e64caf683"

bn.js@^4.0.0, bn.js@^4.1.0, bn.js@^4.1.1, bn.js@^4.11.8, bn.js@^4.4.0:
bn.js@^4.0.0, bn.js@^4.1.0, bn.js@^4.1.1, bn.js@^4.4.0:
  version "4.11.8"
  resolved "https://registry.yarnpkg.com/bn.js/-/bn.js-4.11.8.tgz#2cde09eb5ee341f484746bb0309b3253b1b1442f"



@@ 1147,32 1073,6 @@ boolbase@^1.0.0, boolbase@~1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/boolbase/-/boolbase-1.0.0.tgz#68dff5fbe60c51eb37725ea9e3ed310dcc1e776e"

boom@5.x.x:
  version "5.2.0"
  resolved "https://registry.yarnpkg.com/boom/-/boom-5.2.0.tgz#5dd9da6ee3a5f302077436290cb717d3f4a54e02"
  dependencies:
    hoek "4.x.x"

boom@^7.3.0:
  version "7.3.0"
  resolved "https://registry.yarnpkg.com/boom/-/boom-7.3.0.tgz#733a6d956d33b0b1999da3fe6c12996950d017b9"
  dependencies:
    hoek "6.x.x"

borc@^2.1.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/borc/-/borc-2.1.0.tgz#2def2fc69868633b965a9750e7f210d778190303"
  dependencies:
    bignumber.js "^8.0.1"
    commander "^2.15.0"
    ieee754 "^1.1.8"
    iso-url "~0.4.4"
    json-text-sequence "~0.1.0"

bourne@1.x.x:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/bourne/-/bourne-1.1.2.tgz#e290b5bd7166635632eaf8ef12b006b2d4a75b83"

brace-expansion@^1.1.7:
  version "1.1.11"
  resolved "https://registry.yarnpkg.com/brace-expansion/-/brace-expansion-1.1.11.tgz#3c7fcbf529d87226f3d2f52b966ff5271eb441dd"


@@ 1212,7 1112,7 @@ browser-process-hrtime@^0.1.2:
  version "0.1.3"
  resolved "https://registry.yarnpkg.com/browser-process-hrtime/-/browser-process-hrtime-0.1.3.tgz#616f00faef1df7ec1b5bf9cfe2bdc3170f26c7b4"

browserify-aes@^1.0.0, browserify-aes@^1.0.4, browserify-aes@^1.0.6, browserify-aes@^1.2.0:
browserify-aes@^1.0.0, browserify-aes@^1.0.4:
  version "1.2.0"
  resolved "https://registry.yarnpkg.com/browserify-aes/-/browserify-aes-1.2.0.tgz#326734642f403dabc3003209853bb70ad428ef48"
  dependencies:


@@ 1273,12 1173,6 @@ browserslist@^4.0.0, browserslist@^4.1.0, browserslist@^4.3.4:
    electron-to-chromium "^1.3.150"
    node-releases "^1.1.23"

bs58@^4.0.1:
  version "4.0.1"
  resolved "https://registry.yarnpkg.com/bs58/-/bs58-4.0.1.tgz#be161e76c354f6f788ae4071f63f34e8c4f0a42a"
  dependencies:
    base-x "^3.0.2"

buffer-equal-constant-time@1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/buffer-equal-constant-time/-/buffer-equal-constant-time-1.0.1.tgz#f8e71132f7ffe6e01a5c9697a4c6f3e48d5cc819"


@@ 1303,13 1197,6 @@ buffer@^4.3.0:
    ieee754 "^1.1.4"
    isarray "^1.0.0"

buffer@^5.2.1:
  version "5.2.1"
  resolved "https://registry.yarnpkg.com/buffer/-/buffer-5.2.1.tgz#dd57fa0f109ac59c602479044dca7b8b3d0b71d6"
  dependencies:
    base64-js "^1.0.2"
    ieee754 "^1.1.4"

builtin-status-codes@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/builtin-status-codes/-/builtin-status-codes-3.0.0.tgz#85982878e21b98e1c66425e03d0174788f569ee8"


@@ 1332,13 1219,6 @@ call-me-maybe@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/call-me-maybe/-/call-me-maybe-1.0.1.tgz#26d208ea89e37b5cbde60250a15f031c16a4d66b"

call@4.x.x:
  version "4.0.2"
  resolved "https://registry.yarnpkg.com/call/-/call-4.0.2.tgz#df76f5f51ee8dd48b856ac8400f7e69e6d7399c4"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"

caller-callsite@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/caller-callsite/-/caller-callsite-2.0.0.tgz#847e0fce0a223750a9a027c54b33731ad3154134"


@@ 1384,20 1264,6 @@ caseless@~0.12.0:
  version "0.12.0"
  resolved "https://registry.yarnpkg.com/caseless/-/caseless-0.12.0.tgz#1b681c21ff84033c826543090689420d187151dc"

catbox-memory@2.x.x:
  version "2.0.4"
  resolved "https://registry.yarnpkg.com/catbox-memory/-/catbox-memory-2.0.4.tgz#433e255902caf54233d1286429c8f4df14e822d5"
  dependencies:
    hoek "4.x.x"

catbox@7.x.x:
  version "7.1.5"
  resolved "https://registry.yarnpkg.com/catbox/-/catbox-7.1.5.tgz#c56f7e8e9555d27c0dc038a96ef73e57d186bb1f"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"
    joi "10.x.x"

chain-function@^1.0.0:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/chain-function/-/chain-function-1.0.1.tgz#c63045e5b4b663fb86f1c6e186adaf1de402a1cc"


@@ 1446,15 1312,6 @@ chownr@^1.1.1:
  version "1.1.1"
  resolved "https://registry.yarnpkg.com/chownr/-/chownr-1.1.1.tgz#54726b8b8fff4df053c42187e801fb4412df1494"

cids@~0.7.0, cids@~0.7.1:
  version "0.7.1"
  resolved "https://registry.yarnpkg.com/cids/-/cids-0.7.1.tgz#d8bba49a35a0e82110879b5001abf1039c62347f"
  dependencies:
    class-is "^1.1.0"
    multibase "~0.6.0"
    multicodec "~0.5.1"
    multihashes "~0.4.14"

cipher-base@^1.0.0, cipher-base@^1.0.1, cipher-base@^1.0.3:
  version "1.0.4"
  resolved "https://registry.yarnpkg.com/cipher-base/-/cipher-base-1.0.4.tgz#8760e4ecc272f4c363532f926d874aae2c1397de"


@@ 1462,10 1319,6 @@ cipher-base@^1.0.0, cipher-base@^1.0.1, cipher-base@^1.0.3:
    inherits "^2.0.1"
    safe-buffer "^5.0.1"

class-is@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/class-is/-/class-is-1.1.0.tgz#9d3c0fba0440d211d843cec3dedfa48055005825"

class-utils@^0.3.5:
  version "0.3.6"
  resolved "https://registry.yarnpkg.com/class-utils/-/class-utils-0.3.6.tgz#f93369ae8b9a7ce02fd41faad0ca83033190c463"


@@ 1584,7 1437,7 @@ commander@1.1.1:
  dependencies:
    keypress "0.1.x"

commander@^2.11.0, commander@^2.15.0, commander@^2.19.0, commander@^2.9.0:
commander@^2.11.0, commander@^2.19.0, commander@^2.9.0:
  version "2.20.0"
  resolved "https://registry.yarnpkg.com/commander/-/commander-2.20.0.tgz#d58bb2b5c1ee8f87b0d340027e9e94e222c5a422"



@@ 1596,7 1449,7 @@ component-emitter@1.2.1:
  version "1.2.1"
  resolved "https://registry.yarnpkg.com/component-emitter/-/component-emitter-1.2.1.tgz#137918d6d78283f7df7a6b7c5a63e140e69425e6"

component-emitter@^1.2.0, component-emitter@^1.2.1:
component-emitter@^1.2.1:
  version "1.3.0"
  resolved "https://registry.yarnpkg.com/component-emitter/-/component-emitter-1.3.0.tgz#16e4070fba8ae29b679f2215853ee181ab2eabc0"



@@ 1608,13 1461,6 @@ concat-map@0.0.1:
  version "0.0.1"
  resolved "https://registry.yarnpkg.com/concat-map/-/concat-map-0.0.1.tgz#d8a96bd77fd68df7793a73036a3ba0d5405d477b"

"concat-stream@github:hugomrdias/concat-stream#feat/smaller":
  version "2.0.0"
  resolved "https://codeload.github.com/hugomrdias/concat-stream/tar.gz/057bc7b5d6d8df26c8cf00a3f151b6721a0a8034"
  dependencies:
    inherits "^2.0.3"
    readable-stream "^3.0.2"

concat-stream@~1.6.0:
  version "1.6.2"
  resolved "https://registry.yarnpkg.com/concat-stream/-/concat-stream-1.6.2.tgz#904bdf194cd3122fc675c77fc4ac3d4ff0fd1a34"


@@ 1663,22 1509,12 @@ contains-path@^0.1.0:
  version "0.1.0"
  resolved "https://registry.yarnpkg.com/contains-path/-/contains-path-0.1.0.tgz#fe8cf184ff6670b6baef01a9d4861a5cbec4120a"

content@3.x.x:
  version "3.0.7"
  resolved "https://registry.yarnpkg.com/content/-/content-3.0.7.tgz#0cbb88e82702d35ccf59800b8add609bb5c1dfc2"
  dependencies:
    boom "5.x.x"

convert-source-map@^1.1.0, convert-source-map@^1.5.1:
  version "1.6.0"
  resolved "https://registry.yarnpkg.com/convert-source-map/-/convert-source-map-1.6.0.tgz#51b537a8c43e0f04dec1993bffcdd504e758ac20"
  dependencies:
    safe-buffer "~5.1.1"

cookiejar@^2.1.2:
  version "2.1.2"
  resolved "https://registry.yarnpkg.com/cookiejar/-/cookiejar-2.1.2.tgz#dd8a235530752f988f9a0844f3fc589e3111125c"

copy-descriptor@^0.1.0:
  version "0.1.1"
  resolved "https://registry.yarnpkg.com/copy-descriptor/-/copy-descriptor-0.1.1.tgz#676f6eb3c39997c2ee1ac3a924fd6124748f578d"


@@ 1707,7 1543,7 @@ create-ecdh@^4.0.0:
    bn.js "^4.1.0"
    elliptic "^6.0.0"

create-hash@^1.1.0, create-hash@^1.1.2, create-hash@^1.2.0:
create-hash@^1.1.0, create-hash@^1.1.2:
  version "1.2.0"
  resolved "https://registry.yarnpkg.com/create-hash/-/create-hash-1.2.0.tgz#889078af11a63756bcfb59bd221996be3a9ef196"
  dependencies:


@@ 1738,12 1574,6 @@ cross-spawn@^6.0.0, cross-spawn@^6.0.4, cross-spawn@^6.0.5:
    shebang-command "^1.2.0"
    which "^1.2.9"

cryptiles@3.x.x:
  version "3.1.4"
  resolved "https://registry.yarnpkg.com/cryptiles/-/cryptiles-3.1.4.tgz#769a68c95612b56faadfcebf57ac86479cbe8322"
  dependencies:
    boom "5.x.x"

crypto-browserify@^3.11.0:
  version "3.12.0"
  resolved "https://registry.yarnpkg.com/crypto-browserify/-/crypto-browserify-3.12.0.tgz#396cf9f3137f03e4b8e532c58f698254e00f80ec"


@@ 1948,7 1778,7 @@ deasync@^0.1.14:
    bindings "~1.2.1"
    node-addon-api "^1.6.0"

debug@*, debug@^4.0.1, debug@^4.1.0, debug@^4.1.1:
debug@*, debug@^4.0.1, debug@^4.1.0:
  version "4.1.1"
  resolved "https://registry.yarnpkg.com/debug/-/debug-4.1.1.tgz#3b72260255109c6b589cee050f1d516139664791"
  dependencies:


@@ 2035,10 1865,6 @@ delegates@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/delegates/-/delegates-1.0.0.tgz#84c6e159b81904fdca59a0ef44cd870d31250f9a"

delimit-stream@0.1.0:
  version "0.1.0"
  resolved "https://registry.yarnpkg.com/delimit-stream/-/delimit-stream-0.1.0.tgz#9b8319477c0e5f8aeb3ce357ae305fc25ea1cd2b"

depd@~1.1.2:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/depd/-/depd-1.1.2.tgz#9bcd52e14c097763e749b274c4346ed2e560b5a9"


@@ 2058,14 1884,6 @@ detect-libc@^1.0.2:
  version "1.0.3"
  resolved "https://registry.yarnpkg.com/detect-libc/-/detect-libc-1.0.3.tgz#fa137c4bd698edf55cd5cd02ac559f91a4c4ba9b"

detect-node@^2.0.4:
  version "2.0.4"
  resolved "https://registry.yarnpkg.com/detect-node/-/detect-node-2.0.4.tgz#014ee8f8f669c5c58023da64b8179c083a28c46c"

dexie@^2.0.4:
  version "2.0.4"
  resolved "https://registry.yarnpkg.com/dexie/-/dexie-2.0.4.tgz#6027a5e05879424e8f9979d8c14e7420f27e3a11"

diffie-hellman@^5.0.0:
  version "5.0.3"
  resolved "https://registry.yarnpkg.com/diffie-hellman/-/diffie-hellman-5.0.3.tgz#40e8ee98f55a2149607146921c63e1ae5f3d2875"


@@ 2147,14 1965,6 @@ dotenv@^5.0.0:
  version "5.0.1"
  resolved "https://registry.yarnpkg.com/dotenv/-/dotenv-5.0.1.tgz#a5317459bd3d79ab88cff6e44057a6a3fbb1fcef"

drbg.js@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/drbg.js/-/drbg.js-1.0.1.tgz#3e36b6c42b37043823cdbc332d58f31e2445480b"
  dependencies:
    browserify-aes "^1.0.6"
    create-hash "^1.1.2"
    create-hmac "^1.1.4"

duplexer2@~0.1.4:
  version "0.1.4"
  resolved "https://registry.yarnpkg.com/duplexer2/-/duplexer2-0.1.4.tgz#8b12dab878c0d69e3e7891051662a32fc6bddcc1"


@@ 2191,7 2001,7 @@ electron-to-chromium@^1.3.150:
  version "1.3.155"
  resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.3.155.tgz#ebf0cc8eeaffd6151d1efad60fd9e021fb45fd3a"

elliptic@^6.0.0, elliptic@^6.4.1:
elliptic@^6.0.0:
  version "6.4.1"
  resolved "https://registry.yarnpkg.com/elliptic/-/elliptic-6.4.1.tgz#c2d0b7776911b86722c632c3c06c60f2f819939a"
  dependencies:


@@ 2217,7 2027,7 @@ encodeurl@~1.0.2:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/encodeurl/-/encodeurl-1.0.2.tgz#ad3ff4c86ec2d029322f5a02c3a9a606c95b3f59"

end-of-stream@^1.1.0, end-of-stream@^1.4.1:
end-of-stream@^1.1.0:
  version "1.4.1"
  resolved "https://registry.yarnpkg.com/end-of-stream/-/end-of-stream-1.4.1.tgz#ed29634d19baba463b6ce6b80a37213eab71ec43"
  dependencies:


@@ 2253,10 2063,6 @@ entities@^1.1.1:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/entities/-/entities-1.1.2.tgz#bdfa735299664dfafd34529ed4f8522a275fea56"

err-code@^1.1.2:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/err-code/-/err-code-1.1.2.tgz#06e0116d3028f6aef4806849eb0ea6a748ae6960"

error-ex@^1.2.0, error-ex@^1.3.1:
  version "1.3.2"
  resolved "https://registry.yarnpkg.com/error-ex/-/error-ex-1.3.2.tgz#b4ac40648107fdcdcfae242f428bea8a14d4f1bf"


@@ 2633,10 2439,6 @@ file-selector@^0.1.11:
  dependencies:
    tslib "^1.9.0"

file-uri-to-path@1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/file-uri-to-path/-/file-uri-to-path-1.0.0.tgz#553a7b8446ff6f684359c445f1e37a05dacc33dd"

filesize@^3.6.0:
  version "3.6.1"
  resolved "https://registry.yarnpkg.com/filesize/-/filesize-3.6.1.tgz#090bb3ee01b6f801a8a8be99d31710b3422bb317"


@@ 2670,10 2472,6 @@ flat-cache@^2.0.1:
    rimraf "2.6.3"
    write "1.0.3"

flatmap@0.0.3:
  version "0.0.3"
  resolved "https://registry.yarnpkg.com/flatmap/-/flatmap-0.0.3.tgz#1f18a4d938152d495965f9c958d923ab2dd669b4"

flatted@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/flatted/-/flatted-2.0.0.tgz#55122b6536ea496b4b44893ee2608141d10d9916"


@@ 2696,7 2494,7 @@ forever-agent@~0.6.1:
  version "0.6.1"
  resolved "https://registry.yarnpkg.com/forever-agent/-/forever-agent-0.6.1.tgz#fbc71f0c41adeb37f96c577ad1ed42d8fdacca91"

form-data@^2.3.3, form-data@~2.3.2:
form-data@~2.3.2:
  version "2.3.3"
  resolved "https://registry.yarnpkg.com/form-data/-/form-data-2.3.3.tgz#dcce52c05f644f298c6a7ab936bd724ceffbf3a6"
  dependencies:


@@ 2704,10 2502,6 @@ form-data@^2.3.3, form-data@~2.3.2:
    combined-stream "^1.0.6"
    mime-types "^2.1.12"

formidable@^1.2.0:
  version "1.2.1"
  resolved "https://registry.yarnpkg.com/formidable/-/formidable-1.2.1.tgz#70fb7ca0290ee6ff961090415f4b3df3d2082659"

fragment-cache@^0.2.1:
  version "0.2.1"
  resolved "https://registry.yarnpkg.com/fragment-cache/-/fragment-cache-0.2.1.tgz#4290fad27f13e89be7f33799c6bc5a0abfff0d19"


@@ 2722,10 2516,6 @@ fresh@0.5.2:
  version "0.5.2"
  resolved "https://registry.yarnpkg.com/fresh/-/fresh-0.5.2.tgz#3d8cadd90d976569fa835ab1f8e4b23a105605a7"

fs-constants@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/fs-constants/-/fs-constants-1.0.0.tgz#6be0de9be998ce16af8afc24497b9ee9b7ccd9ad"

fs-extra@^8.0.1:
  version "8.0.1"
  resolved "https://registry.yarnpkg.com/fs-extra/-/fs-extra-8.0.1.tgz#90294081f978b1f182f347a440a209154344285b"


@@ 2837,30 2627,6 @@ gud@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/gud/-/gud-1.0.0.tgz#a489581b17e6a70beca9abe3ae57de7a499852c0"

hapi@^16.6.2:
  version "16.7.0"
  resolved "https://registry.yarnpkg.com/hapi/-/hapi-16.7.0.tgz#3bb39517971df81e8198ec04751455e8b6cb0871"
  dependencies:
    accept "2.x.x"
    ammo "2.x.x"
    boom "5.x.x"
    call "4.x.x"
    catbox "7.x.x"
    catbox-memory "2.x.x"
    cryptiles "3.x.x"
    heavy "4.x.x"
    hoek "4.x.x"
    iron "4.x.x"
    items "2.x.x"
    joi "11.x.x"
    mimos "3.x.x"
    podium "1.x.x"
    shot "3.x.x"
    somever "1.x.x"
    statehood "5.x.x"
    subtext "5.x.x"
    topo "2.x.x"

har-schema@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/har-schema/-/har-schema-2.0.0.tgz#a94c2224ebcac04782a0d9035521f24735b7ec92"


@@ 2955,26 2721,10 @@ hash.js@^1.0.0, hash.js@^1.0.3:
    inherits "^2.0.3"
    minimalistic-assert "^1.0.1"

hat@~0.0.3:
  version "0.0.3"
  resolved "https://registry.yarnpkg.com/hat/-/hat-0.0.3.tgz#bb014a9e64b3788aed8005917413d4ff3d502d8a"

heavy@4.x.x:
  version "4.0.4"
  resolved "https://registry.yarnpkg.com/heavy/-/heavy-4.0.4.tgz#36c91336c00ccfe852caa4d153086335cd2f00e9"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"
    joi "10.x.x"

hex-color-regex@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/hex-color-regex/-/hex-color-regex-1.1.0.tgz#4c06fccb4602fe2602b3c93df82d7e7dbf1a8a8e"

hi-base32@~0.5.0:
  version "0.5.0"
  resolved "https://registry.yarnpkg.com/hi-base32/-/hi-base32-0.5.0.tgz#61329f76a31f31008533f1c36f2473e259d64571"

history@^4.9.0:
  version "4.9.0"
  resolved "https://registry.yarnpkg.com/history/-/history-4.9.0.tgz#84587c2068039ead8af769e9d6a6860a14fa1bca"


@@ 2994,10 2744,6 @@ hmac-drbg@^1.0.0:
    minimalistic-assert "^1.0.0"
    minimalistic-crypto-utils "^1.0.1"

hoek@4.x.x:
  version "4.2.1"
  resolved "https://registry.yarnpkg.com/hoek/-/hoek-4.2.1.tgz#9634502aa12c445dd5a7c5734b572bb8738aacbb"

hoek@5.x.x:
  version "5.0.4"
  resolved "https://registry.yarnpkg.com/hoek/-/hoek-5.0.4.tgz#0f7fa270a1cafeb364a4b2ddfaa33f864e4157da"


@@ 3115,7 2861,7 @@ icss-replace-symbols@1.1.0, icss-replace-symbols@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/icss-replace-symbols/-/icss-replace-symbols-1.1.0.tgz#06ea6f83679a7749e386cfe1fe812ae5db223ded"

ieee754@^1.1.4, ieee754@^1.1.8:
ieee754@^1.1.4:
  version "1.1.13"
  resolved "https://registry.yarnpkg.com/ieee754/-/ieee754-1.1.13.tgz#ec168558e95aa181fd87d37f55c32bbcb6708b84"



@@ 3163,10 2909,6 @@ indexof@0.0.1:
  version "0.0.1"
  resolved "https://registry.yarnpkg.com/indexof/-/indexof-0.0.1.tgz#82dc336d232b9062179d05ab3293a66059fd435d"

individual@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/individual/-/individual-2.0.0.tgz#833b097dad23294e76117a98fb38e0d9ad61bb97"

inflight@^1.0.4:
  version "1.0.6"
  resolved "https://registry.yarnpkg.com/inflight/-/inflight-1.0.6.tgz#49bd6331d7d02d0c09bc910a1075ba8165b56df9"


@@ 3214,138 2956,6 @@ invert-kv@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/invert-kv/-/invert-kv-2.0.0.tgz#7393f5afa59ec9ff5f67a27620d11c226e3eec02"

ip-regex@^2.0.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/ip-regex/-/ip-regex-2.1.0.tgz#fa78bf5d2e6913c911ce9f819ee5146bb6d844e9"

ip@^1.1.5:
  version "1.1.5"
  resolved "https://registry.yarnpkg.com/ip/-/ip-1.1.5.tgz#bdded70114290828c0a039e72ef25f5aaec4354a"

ipfs-block@~0.8.1:
  version "0.8.1"
  resolved "https://registry.yarnpkg.com/ipfs-block/-/ipfs-block-0.8.1.tgz#05e1068832775e8f1c2da5b64106cc837fd2acb9"
  dependencies:
    cids "~0.7.0"
    class-is "^1.1.0"

ipfs-http-client@^32.0.1:
  version "32.0.1"
  resolved "https://registry.yarnpkg.com/ipfs-http-client/-/ipfs-http-client-32.0.1.tgz#4f5845c56717c748751e70e5d579b7b18af9e824"
  dependencies:
    async "^2.6.1"
    bignumber.js "^8.0.2"
    bl "^3.0.0"
    bs58 "^4.0.1"
    buffer "^5.2.1"
    cids "~0.7.1"
    concat-stream "github:hugomrdias/concat-stream#feat/smaller"
    debug "^4.1.0"
    detect-node "^2.0.4"
    end-of-stream "^1.4.1"
    err-code "^1.1.2"
    flatmap "0.0.3"
    glob "^7.1.3"
    ipfs-block "~0.8.1"
    ipfs-utils "~0.0.3"
    ipld-dag-cbor "~0.15.0"
    ipld-dag-pb "~0.17.3"
    is-ipfs "~0.6.1"
    is-pull-stream "0.0.0"
    is-stream "^2.0.0"
    iso-stream-http "~0.1.2"
    iso-url "~0.4.6"
    just-kebab-case "^1.1.0"
    just-map-keys "^1.1.0"
    kind-of "^6.0.2"
    lru-cache "^5.1.1"
    multiaddr "^6.0.6"
    multibase "~0.6.0"
    multicodec "~0.5.1"
    multihashes "~0.4.14"
    ndjson "github:hugomrdias/ndjson#feat/readable-stream3"
    once "^1.4.0"
    peer-id "~0.12.2"
    peer-info "~0.15.1"
    promisify-es6 "^1.0.3"
    pull-defer "~0.2.3"
    pull-stream "^3.6.9"
    pull-to-stream "~0.1.1"
    pump "^3.0.0"
    qs "^6.5.2"
    readable-stream "^3.1.1"
    stream-to-pull-stream "^1.7.2"
    tar-stream "^2.0.1"
    through2 "^3.0.1"

ipfs-utils@~0.0.3:
  version "0.0.3"
  resolved "https://registry.yarnpkg.com/ipfs-utils/-/ipfs-utils-0.0.3.tgz#b56e0f2294ea627c61af11f1a169370609797226"
  dependencies:
    buffer "^5.2.1"
    is-buffer "^2.0.3"
    is-electron "^2.2.0"
    is-pull-stream "0.0.0"
    is-stream "^2.0.0"
    kind-of "^6.0.2"
    readable-stream "^3.3.0"

ipfsd-ctl@^0.42.4:
  version "0.42.4"
  resolved "https://registry.yarnpkg.com/ipfsd-ctl/-/ipfsd-ctl-0.42.4.tgz#d39a3f3f4be16161f21ced6f3637a3e79c89ea9e"
  dependencies:
    async "^2.6.2"
    base-x "^3.0.5"
    boom "^7.3.0"
    debug "^4.1.1"
    detect-node "^2.0.4"
    dexie "^2.0.4"
    execa "^1.0.0"
    hapi "^16.6.2"
    hat "~0.0.3"
    ipfs-http-client "^32.0.1"
    joi "^14.3.1"
    libp2p-crypto "~0.16.1"
    lodash.clone "^4.5.0"
    lodash.defaults "^4.2.0"
    lodash.defaultsdeep "^4.6.0"
    multiaddr "^6.0.6"
    once "^1.4.0"
    protons "^1.0.1"
    rimraf "^2.6.3"
    safe-json-parse "^4.0.0"
    safe-json-stringify "^1.2.0"
    superagent "^4.0.0-beta.5"

ipld-dag-cbor@~0.15.0:
  version "0.15.0"
  resolved "https://registry.yarnpkg.com/ipld-dag-cbor/-/ipld-dag-cbor-0.15.0.tgz#1fbebef1c2d8b980fb18b94f96ec3c1f1d32f860"
  dependencies:
    borc "^2.1.0"
    cids "~0.7.0"
    is-circular "^1.0.2"
    multicodec "~0.5.0"
    multihashing-async "~0.7.0"

ipld-dag-pb@~0.17.3:
  version "0.17.4"
  resolved "https://registry.yarnpkg.com/ipld-dag-pb/-/ipld-dag-pb-0.17.4.tgz#080841cfdd014d996f8da7f3a522ec8b1f6b6494"
  dependencies:
    cids "~0.7.0"
    class-is "^1.1.0"
    multicodec "~0.5.1"
    multihashing-async "~0.7.0"
    protons "^1.0.1"
    stable "~0.1.8"

iron@4.x.x:
  version "4.0.5"
  resolved "https://registry.yarnpkg.com/iron/-/iron-4.0.5.tgz#4f042cceb8b9738f346b59aa734c83a89bc31428"
  dependencies:
    boom "5.x.x"
    cryptiles "3.x.x"
    hoek "4.x.x"

is-absolute-url@^2.0.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/is-absolute-url/-/is-absolute-url-2.1.0.tgz#50530dfb84fcc9aa7dbe7852e83a37b93b9f2aa6"


@@ 3380,7 2990,7 @@ is-buffer@^1.1.5:
  version "1.1.6"
  resolved "https://registry.yarnpkg.com/is-buffer/-/is-buffer-1.1.6.tgz#efaa2ea9daa0d7ab2ea13a97b2b8ad51fefbe8be"

is-buffer@^2.0.2, is-buffer@^2.0.3:
is-buffer@^2.0.2:
  version "2.0.3"
  resolved "https://registry.yarnpkg.com/is-buffer/-/is-buffer-2.0.3.tgz#4ecf3fcf749cbd1e472689e109ac66261a25e725"



@@ 3388,10 2998,6 @@ is-callable@^1.1.4:
  version "1.1.4"
  resolved "https://registry.yarnpkg.com/is-callable/-/is-callable-1.1.4.tgz#1e1adf219e1eeb684d691f9d6a05ff0d30a24d75"

is-circular@^1.0.2:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/is-circular/-/is-circular-1.0.2.tgz#2e0ab4e9835f4c6b0ea2b9855a84acd501b8366c"

is-color-stop@^1.0.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/is-color-stop/-/is-color-stop-1.1.0.tgz#cfff471aee4dd5c9e158598fbe12967b5cdad345"


@@ 3439,10 3045,6 @@ is-directory@^0.3.1:
  version "0.3.1"
  resolved "https://registry.yarnpkg.com/is-directory/-/is-directory-0.3.1.tgz#61339b6f2475fc772fd9c9d83f5c8575dc154ae1"

is-electron@^2.2.0:
  version "2.2.0"
  resolved "https://registry.yarnpkg.com/is-electron/-/is-electron-2.2.0.tgz#8943084f09e8b731b3a7a0298a7b5d56f6b7eef0"

is-extendable@^0.1.0, is-extendable@^0.1.1:
  version "0.1.1"
  resolved "https://registry.yarnpkg.com/is-extendable/-/is-extendable-0.1.1.tgz#62b110e289a471418e3ec36a617d472e301dfc89"


@@ 3485,23 3087,6 @@ is-html@^1.0.0:
  dependencies:
    html-tags "^1.0.0"

is-ip@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/is-ip/-/is-ip-2.0.0.tgz#68eea07e8a0a0a94c2d080dd674c731ab2a461ab"
  dependencies:
    ip-regex "^2.0.0"

is-ipfs@~0.6.1:
  version "0.6.1"
  resolved "https://registry.yarnpkg.com/is-ipfs/-/is-ipfs-0.6.1.tgz#c85069c73275dc6a60673c791a9be731e2b4bfc4"
  dependencies:
    bs58 "^4.0.1"
    cids "~0.7.0"
    mafmt "^6.0.7"
    multiaddr "^6.0.4"
    multibase "~0.6.0"
    multihashes "~0.4.13"

is-number@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/is-number/-/is-number-3.0.0.tgz#24fd6201a4782cf50561c810276afc7d12d71195"


@@ 3522,14 3107,6 @@ is-promise@^2.1.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/is-promise/-/is-promise-2.1.0.tgz#79a2a9ece7f096e80f36d2b2f3bc16c1ff4bf3fa"

is-promise@~1, is-promise@~1.0.0:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/is-promise/-/is-promise-1.0.1.tgz#31573761c057e33c2e91aab9e96da08cefbe76e5"

is-pull-stream@0.0.0:
  version "0.0.0"
  resolved "https://registry.yarnpkg.com/is-pull-stream/-/is-pull-stream-0.0.0.tgz#a3bc3d1c6d3055151c46bde6f399efed21440ca9"

is-regex@^1.0.4:
  version "1.0.4"
  resolved "https://registry.yarnpkg.com/is-regex/-/is-regex-1.0.4.tgz#5517489b547091b0930e095654ced25ee97e9491"


@@ 3544,10 3121,6 @@ is-stream@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/is-stream/-/is-stream-1.1.0.tgz#12d4a3dd4e68e0b79ceb8dbc84173ae80d91ca44"

is-stream@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/is-stream/-/is-stream-2.0.0.tgz#bde9c32680d6fae04129d6ac9d921ce7815f78e3"

is-svg@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/is-svg/-/is-svg-3.0.0.tgz#9321dbd29c212e5ca99c4fa9794c714bcafa2f75"


@@ 3588,10 3161,6 @@ isarray@2.0.1:
  version "2.0.1"
  resolved "https://registry.yarnpkg.com/isarray/-/isarray-2.0.1.tgz#a37d94ed9cda2d59865c9f76fe596ee1f338741e"

isemail@2.x.x:
  version "2.2.1"
  resolved "https://registry.yarnpkg.com/isemail/-/isemail-2.2.1.tgz#0353d3d9a62951080c262c2aa0a42b8ea8e9e2a6"

isemail@3.x.x:
  version "3.2.0"
  resolved "https://registry.yarnpkg.com/isemail/-/isemail-3.2.0.tgz#59310a021931a9fb06bbb51e155ce0b3f236832c"


@@ 3602,22 3171,6 @@ isexe@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/isexe/-/isexe-2.0.0.tgz#e8fbf374dc556ff8947a10dcb0572d633f2cfa10"

iso-random-stream@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/iso-random-stream/-/iso-random-stream-1.1.0.tgz#c1dc1bb43dd8da6524df9cbc6253b010806585c8"

iso-stream-http@~0.1.2:
  version "0.1.2"
  resolved "https://registry.yarnpkg.com/iso-stream-http/-/iso-stream-http-0.1.2.tgz#b3dfea4c9f23ff26d078d40c539cfc0dfebacd37"
  dependencies:
    builtin-status-codes "^3.0.0"
    inherits "^2.0.1"
    readable-stream "^3.1.1"

iso-url@~0.4.4, iso-url@~0.4.6:
  version "0.4.6"
  resolved "https://registry.yarnpkg.com/iso-url/-/iso-url-0.4.6.tgz#45005c4af4984cad4f8753da411b41b74cf0a8a6"

isobject@^2.0.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/isobject/-/isobject-2.1.0.tgz#f065561096a3f1da2ef46272f815c840d87e0c89"


@@ 3632,35 3185,6 @@ isstream@~0.1.2:
  version "0.1.2"
  resolved "https://registry.yarnpkg.com/isstream/-/isstream-0.1.2.tgz#47e63f7af55afa6f92e1500e690eb8b8529c099a"

items@2.x.x:
  version "2.1.2"
  resolved "https://registry.yarnpkg.com/items/-/items-2.1.2.tgz#0849354595805d586dac98e7e6e85556ea838558"

joi@10.x.x:
  version "10.6.0"
  resolved "https://registry.yarnpkg.com/joi/-/joi-10.6.0.tgz#52587f02d52b8b75cdb0c74f0b164a191a0e1fc2"
  dependencies:
    hoek "4.x.x"
    isemail "2.x.x"
    items "2.x.x"
    topo "2.x.x"

joi@11.x.x:
  version "11.4.0"
  resolved "https://registry.yarnpkg.com/joi/-/joi-11.4.0.tgz#f674897537b625e9ac3d0b7e1604c828ad913ccb"
  dependencies:
    hoek "4.x.x"
    isemail "3.x.x"
    topo "2.x.x"

joi@12.x.x:
  version "12.0.0"
  resolved "https://registry.yarnpkg.com/joi/-/joi-12.0.0.tgz#46f55e68f4d9628f01bbb695902c8b307ad8d33a"
  dependencies:
    hoek "4.x.x"
    isemail "3.x.x"
    topo "2.x.x"

joi@^13.0.0:
  version "13.7.0"
  resolved "https://registry.yarnpkg.com/joi/-/joi-13.7.0.tgz#cfd85ebfe67e8a1900432400b4d03bbd93fb879f"


@@ 3669,14 3193,6 @@ joi@^13.0.0:
    isemail "3.x.x"
    topo "3.x.x"

joi@^14.3.1:
  version "14.3.1"
  resolved "https://registry.yarnpkg.com/joi/-/joi-14.3.1.tgz#164a262ec0b855466e0c35eea2a885ae8b6c703c"
  dependencies:
    hoek "6.x.x"
    isemail "3.x.x"
    topo "3.x.x"

js-beautify@^1.8.9:
  version "1.10.0"
  resolved "https://registry.yarnpkg.com/js-beautify/-/js-beautify-1.10.0.tgz#9753a13c858d96828658cd18ae3ca0e5783ea672"


@@ 3691,10 3207,6 @@ js-levenshtein@^1.1.3:
  version "1.1.6"
  resolved "https://registry.yarnpkg.com/js-levenshtein/-/js-levenshtein-1.1.6.tgz#c6cee58eb3550372df8deb85fad5ce66ce01d59d"

js-sha3@~0.8.0:
  version "0.8.0"
  resolved "https://registry.yarnpkg.com/js-sha3/-/js-sha3-0.8.0.tgz#b9b7a5da73afad7dedd0f8c463954cbde6818840"

"js-tokens@^3.0.0 || ^4.0.0", js-tokens@^4.0.0:
  version "4.0.0"
  resolved "https://registry.yarnpkg.com/js-tokens/-/js-tokens-4.0.0.tgz#19203fb59991df98e3a287050d4647cdeaf32499"


@@ 3771,16 3283,10 @@ json-stable-stringify-without-jsonify@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/json-stable-stringify-without-jsonify/-/json-stable-stringify-without-jsonify-1.0.1.tgz#9db7b59496ad3f3cfef30a75142d2d930ad72651"

json-stringify-safe@^5.0.1, json-stringify-safe@~5.0.1:
json-stringify-safe@~5.0.1:
  version "5.0.1"
  resolved "https://registry.yarnpkg.com/json-stringify-safe/-/json-stringify-safe-5.0.1.tgz#1296a2d58fd45f19a0f6ce01d65701e2c735b6eb"

json-text-sequence@~0.1.0:
  version "0.1.1"
  resolved "https://registry.yarnpkg.com/json-text-sequence/-/json-text-sequence-0.1.1.tgz#a72f217dc4afc4629fff5feb304dc1bd51a2f3d2"
  dependencies:
    delimit-stream "0.1.0"

json5@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/json5/-/json5-1.0.1.tgz#779fb0018604fa854eacbf6252180d83543e3dbe"


@@ 3829,14 3335,6 @@ jsx-ast-utils@^2.0.1, jsx-ast-utils@^2.1.0:
  dependencies:
    array-includes "^3.0.3"

just-kebab-case@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/just-kebab-case/-/just-kebab-case-1.1.0.tgz#ebe854fde84b0afa4e597fcd870b12eb3c026755"

just-map-keys@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/just-map-keys/-/just-map-keys-1.1.0.tgz#9663c9f971ba46e17f2b05e66fec81149375f230"

jwa@^1.4.1:
  version "1.4.1"
  resolved "https://registry.yarnpkg.com/jwa/-/jwa-1.4.1.tgz#743c32985cb9e98655530d53641b66c8645b039a"


@@ 3852,10 3350,6 @@ jws@^3.2.2:
    jwa "^1.4.1"
    safe-buffer "^5.0.1"

keypair@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/keypair/-/keypair-1.0.1.tgz#7603719270afb6564ed38a22087a06fc9aa4ea1b"

keypress@0.1.x:
  version "0.1.0"
  resolved "https://registry.yarnpkg.com/keypress/-/keypress-0.1.0.tgz#4a3188d4291b66b4f65edb99f806aa9ae293592a"


@@ 3897,38 3391,6 @@ levn@^0.3.0, levn@~0.3.0:
    prelude-ls "~1.1.2"
    type-check "~0.3.2"

libp2p-crypto-secp256k1@~0.3.0:
  version "0.3.0"
  resolved "https://registry.yarnpkg.com/libp2p-crypto-secp256k1/-/libp2p-crypto-secp256k1-0.3.0.tgz#47ce694fa3c9f2a8b61b11e66d29f1b101d9e985"
  dependencies:
    async "^2.6.1"
    bs58 "^4.0.1"
    multihashing-async "~0.5.1"
    nodeify "^1.0.1"
    safe-buffer "^5.1.2"
    secp256k1 "^3.6.1"

libp2p-crypto@~0.16.0, libp2p-crypto@~0.16.1:
  version "0.16.1"
  resolved "https://registry.yarnpkg.com/libp2p-crypto/-/libp2p-crypto-0.16.1.tgz#40aa07e95a0a7fe6887ea3868625e74c81c34d75"
  dependencies:
    asmcrypto.js "^2.3.2"
    asn1.js "^5.0.1"
    async "^2.6.1"
    bn.js "^4.11.8"
    browserify-aes "^1.2.0"
    bs58 "^4.0.1"
    iso-random-stream "^1.1.0"
    keypair "^1.0.1"
    libp2p-crypto-secp256k1 "~0.3.0"
    multihashing-async "~0.5.1"
    node-forge "~0.7.6"
    pem-jwk "^2.0.0"
    protons "^1.0.1"
    rsa-pem-to-jwk "^1.1.3"
    tweetnacl "^1.0.0"
    ursa-optional "~0.9.10"

load-json-file@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/load-json-file/-/load-json-file-2.0.0.tgz#7947e42149af80d696cbf797bcaabcfe1fe29ca8"


@@ 3956,14 3418,6 @@ lodash.clone@^4.5.0:
  version "4.5.0"
  resolved "https://registry.yarnpkg.com/lodash.clone/-/lodash.clone-4.5.0.tgz#195870450f5a13192478df4bc3d23d2dea1907b6"

lodash.defaults@^4.2.0:
  version "4.2.0"
  resolved "https://registry.yarnpkg.com/lodash.defaults/-/lodash.defaults-4.2.0.tgz#d09178716ffea4dde9e5fb7b37f6f0802274580c"

lodash.defaultsdeep@^4.6.0:
  version "4.6.0"
  resolved "https://registry.yarnpkg.com/lodash.defaultsdeep/-/lodash.defaultsdeep-4.6.0.tgz#bec1024f85b1bd96cbea405b23c14ad6443a6f81"

lodash.includes@^4.3.0:
  version "4.3.0"
  resolved "https://registry.yarnpkg.com/lodash.includes/-/lodash.includes-4.3.0.tgz#60bb98a87cb923c68ca1e51325483314849f553f"


@@ 4014,10 3468,6 @@ log-symbols@^2.2.0:
  dependencies:
    chalk "^2.0.1"

looper@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/looper/-/looper-3.0.0.tgz#2efa54c3b1cbaba9b94aee2e5914b0be57fbb749"

loose-envify@^1.0.0, loose-envify@^1.1.0, loose-envify@^1.2.0, loose-envify@^1.3.1, loose-envify@^1.4.0:
  version "1.4.0"
  resolved "https://registry.yarnpkg.com/loose-envify/-/loose-envify-1.4.0.tgz#71ee51fa7be4caec1a63839f7e682d8132d30caf"


@@ 4031,18 3481,6 @@ lru-cache@^4.1.5:
    pseudomap "^1.0.2"
    yallist "^2.1.2"

lru-cache@^5.1.1:
  version "5.1.1"
  resolved "https://registry.yarnpkg.com/lru-cache/-/lru-cache-5.1.1.tgz#1da27e6710271947695daf6848e847f01d84b920"
  dependencies:
    yallist "^3.0.2"

mafmt@^6.0.2, mafmt@^6.0.7:
  version "6.0.7"
  resolved "https://registry.yarnpkg.com/mafmt/-/mafmt-6.0.7.tgz#80312e08bfba0f89e2daa403525f33e07d9b97fa"
  dependencies:
    multiaddr "^6.0.4"

magic-string@^0.22.4:
  version "0.22.5"
  resolved "https://registry.yarnpkg.com/magic-string/-/magic-string-0.22.5.tgz#8e9cf5afddf44385c1da5bc2a6a0dbd10b03657e"


@@ 4095,10 3533,6 @@ merge2@^1.2.3:
  version "1.2.3"
  resolved "https://registry.yarnpkg.com/merge2/-/merge2-1.2.3.tgz#7ee99dbd69bb6481689253f018488a1b902b0ed5"

methods@^1.1.1:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/methods/-/methods-1.1.2.tgz#5529a4d67654134edcc5266656835b0f851afcee"

micromatch@^3.0.4, micromatch@^3.1.10, micromatch@^3.1.4:
  version "3.1.10"
  resolved "https://registry.yarnpkg.com/micromatch/-/micromatch-3.1.10.tgz#70859bc95c9840952f359a068a3fc49f9ecfac23"


@@ 4124,7 3558,7 @@ miller-rabin@^4.0.0:
    bn.js "^4.0.0"
    brorand "^1.0.1"

mime-db@1.40.0, mime-db@1.x.x:
mime-db@1.40.0:
  version "1.40.0"
  resolved "https://registry.yarnpkg.com/mime-db/-/mime-db-1.40.0.tgz#a65057e998db090f732a68f6c276d387d4126c32"



@@ 4142,10 3576,6 @@ mime@1.6.0:
  version "1.6.0"
  resolved "https://registry.yarnpkg.com/mime/-/mime-1.6.0.tgz#32cd9e5c64553bd58d19a568af452acff04981b1"

mime@^2.4.0:
  version "2.4.4"
  resolved "https://registry.yarnpkg.com/mime/-/mime-2.4.4.tgz#bd7b91135fc6b01cde3e9bae33d659b63d8857e5"

mimic-fn@^1.0.0:
  version "1.2.0"
  resolved "https://registry.yarnpkg.com/mimic-fn/-/mimic-fn-1.2.0.tgz#820c86a39334640e99516928bd03fca88057d022"


@@ 4154,13 3584,6 @@ mimic-fn@^2.0.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/mimic-fn/-/mimic-fn-2.1.0.tgz#7ed2c2ccccaf84d3ffcb7a69b57711fc2083401b"

mimos@3.x.x:
  version "3.0.3"
  resolved "https://registry.yarnpkg.com/mimos/-/mimos-3.0.3.tgz#b9109072ad378c2b72f6a0101c43ddfb2b36641f"
  dependencies:
    hoek "4.x.x"
    mime-db "1.x.x"

mini-create-react-context@^0.3.0:
  version "0.3.2"
  resolved "https://registry.yarnpkg.com/mini-create-react-context/-/mini-create-react-context-0.3.2.tgz#79fc598f283dd623da8e088b05db8cddab250189"


@@ 4229,70 3652,11 @@ ms@^2.1.1:
  version "2.1.2"
  resolved "https://registry.yarnpkg.com/ms/-/ms-2.1.2.tgz#d09d1f357b443f493382a8eb3ccd183872ae6009"

multiaddr@^6.0.3, multiaddr@^6.0.4, multiaddr@^6.0.6:
  version "6.1.0"
  resolved "https://registry.yarnpkg.com/multiaddr/-/multiaddr-6.1.0.tgz#1f93afce58a33db5cc32a5917d8a14105d94330e"
  dependencies:
    bs58 "^4.0.1"
    class-is "^1.1.0"
    hi-base32 "~0.5.0"
    ip "^1.1.5"
    is-ip "^2.0.0"
    varint "^5.0.0"

multibase@~0.6.0:
  version "0.6.0"
  resolved "https://registry.yarnpkg.com/multibase/-/multibase-0.6.0.tgz#0216e350614c7456da5e8e5b20d3fcd4c9104f56"
  dependencies:
    base-x "3.0.4"

multicodec@~0.5.0, multicodec@~0.5.1:
  version "0.5.3"
  resolved "https://registry.yarnpkg.com/multicodec/-/multicodec-0.5.3.tgz#b1ef71a55d0698c9b2d89585f66e4b081f33c20c"
  dependencies:
    varint "^5.0.0"

multihashes@~0.4.13, multihashes@~0.4.14:
  version "0.4.14"
  resolved "https://registry.yarnpkg.com/multihashes/-/multihashes-0.4.14.tgz#774db9a161f81a8a27dc60788f91248e020f5244"
  dependencies:
    bs58 "^4.0.1"
    varint "^5.0.0"

multihashing-async@~0.5.1:
  version "0.5.2"
  resolved "https://registry.yarnpkg.com/multihashing-async/-/multihashing-async-0.5.2.tgz#4af40e0dde2f1dbb12a7c6b265181437ac26b9de"
  dependencies:
    blakejs "^1.1.0"
    js-sha3 "~0.8.0"
    multihashes "~0.4.13"
    murmurhash3js "^3.0.1"
    nodeify "^1.0.1"

multihashing-async@~0.7.0:
  version "0.7.0"
  resolved "https://registry.yarnpkg.com/multihashing-async/-/multihashing-async-0.7.0.tgz#3234fb98295be84386b85bfd20377d3e5be20d6b"
  dependencies:
    blakejs "^1.1.0"
    buffer "^5.2.1"
    err-code "^1.1.2"
    js-sha3 "~0.8.0"
    multihashes "~0.4.13"
    murmurhash3js-revisited "^3.0.0"

murmurhash3js-revisited@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/murmurhash3js-revisited/-/murmurhash3js-revisited-3.0.0.tgz#6bd36e25de8f73394222adc6e41fa3fac08a5869"

murmurhash3js@^3.0.1:
  version "3.0.1"
  resolved "https://registry.yarnpkg.com/murmurhash3js/-/murmurhash3js-3.0.1.tgz#3e983e5b47c2a06f43a713174e7e435ca044b998"

mute-stream@0.0.7:
  version "0.0.7"
  resolved "https://registry.yarnpkg.com/mute-stream/-/mute-stream-0.0.7.tgz#3075ce93bc21b8fab43e1bc4da7e8115ed1e7bab"

nan@^2.11.1, nan@^2.12.1, nan@^2.14.0:
nan@^2.12.1:
  version "2.14.0"
  resolved "https://registry.yarnpkg.com/nan/-/nan-2.14.0.tgz#7818f722027b2459a86f0295d434d1fc2336c52c"



@@ 4320,15 3684,6 @@ ncp@0.2.x:
  version "0.2.7"
  resolved "https://registry.yarnpkg.com/ncp/-/ncp-0.2.7.tgz#46fac2b7dda2560a4cb7e628677bd5f64eac5be1"

"ndjson@github:hugomrdias/ndjson#feat/readable-stream3":
  version "1.5.0"
  resolved "https://codeload.github.com/hugomrdias/ndjson/tar.gz/4db16da6b42e5b39bf300c3a7cde62abb3fa3a11"
  dependencies:
    json-stringify-safe "^5.0.1"
    minimist "^1.2.0"
    split2 "^3.1.0"
    through2 "^3.0.0"

needle@^2.2.1:
  version "2.4.0"
  resolved "https://registry.yarnpkg.com/needle/-/needle-2.4.0.tgz#6833e74975c444642590e15a750288c5f939b57c"


@@ 4341,18 3696,11 @@ nice-try@^1.0.4:
  version "1.0.5"
  resolved "https://registry.yarnpkg.com/nice-try/-/nice-try-1.0.5.tgz#a3378a7696ce7d223e88fc9b764bd7ef1089e366"

nigel@2.x.x:
  version "2.0.2"
  resolved "https://registry.yarnpkg.com/nigel/-/nigel-2.0.2.tgz#93a1866fb0c52d87390aa75e2b161f4b5c75e5b1"
  dependencies:
    hoek "4.x.x"
    vise "2.x.x"

node-addon-api@^1.6.0:
  version "1.6.3"
  resolved "https://registry.yarnpkg.com/node-addon-api/-/node-addon-api-1.6.3.tgz#3998d4593e2dca2ea82114670a4eb003386a9fe1"

node-forge@^0.7.1, node-forge@~0.7.6:
node-forge@^0.7.1:
  version "0.7.6"
  resolved "https://registry.yarnpkg.com/node-forge/-/node-forge-0.7.6.tgz#fdf3b418aee1f94f0ef642cd63486c77ca9724ac"



@@ 4405,13 3753,6 @@ node-releases@^1.1.23:
  dependencies:
    semver "^5.3.0"

nodeify@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/nodeify/-/nodeify-1.0.1.tgz#64ab69a7bdbaf03ce107b4f0335c87c0b9e91b1d"
  dependencies:
    is-promise "~1.0.0"
    promise "~1.3.0"

nopt@^4.0.1, nopt@~4.0.1:
  version "4.0.1"
  resolved "https://registry.yarnpkg.com/nopt/-/nopt-4.0.1.tgz#d0d4685afd5415193c8c7505602d0d17cd64474d"


@@ 4490,10 3831,6 @@ oauth-sign@~0.9.0:
  version "0.9.0"
  resolved "https://registry.yarnpkg.com/oauth-sign/-/oauth-sign-0.9.0.tgz#47a7b016baa68b5fa0ecf3dee08a85c679ac6455"

object-assign@^2.0.0:
  version "2.1.1"
  resolved "https://registry.yarnpkg.com/object-assign/-/object-assign-2.1.1.tgz#43c36e5d569ff8e4816c4efa8be02d26967c18aa"

object-assign@^4.0.1, object-assign@^4.1.0, object-assign@^4.1.1:
  version "4.1.1"
  resolved "https://registry.yarnpkg.com/object-assign/-/object-assign-4.1.1.tgz#2109adc7965887cfc05cbbd442cac8bfbb360863"


@@ 4597,7 3934,7 @@ opn@^5.1.0:
  dependencies:
    is-wsl "^1.1.0"

optimist@0.3.x, optimist@~0.3.5:
optimist@0.3.x:
  version "0.3.7"
  resolved "https://registry.yarnpkg.com/optimist/-/optimist-0.3.7.tgz#c90941ad59e4273328923074d2cf2e7cbc6ec0d9"
  dependencies:


@@ 4866,44 4203,10 @@ pbkdf2@^3.0.3:
    safe-buffer "^5.0.1"
    sha.js "^2.4.8"

peer-id@~0.12.2:
  version "0.12.2"
  resolved "https://registry.yarnpkg.com/peer-id/-/peer-id-0.12.2.tgz#0d1b876ebf21a528be9948c9cb7d30266342b2fd"
  dependencies:
    async "^2.6.1"
    class-is "^1.1.0"
    libp2p-crypto "~0.16.0"
    multihashes "~0.4.13"

peer-info@~0.15.1:
  version "0.15.1"
  resolved "https://registry.yarnpkg.com/peer-info/-/peer-info-0.15.1.tgz#21254a7c516d0dd046b150120b9aaf1b9ad02146"
  dependencies:
    mafmt "^6.0.2"
    multiaddr "^6.0.3"
    peer-id "~0.12.2"
    unique-by "^1.0.0"

pem-jwk@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/pem-jwk/-/pem-jwk-2.0.0.tgz#1c5bb264612fc391340907f5c1de60c06d22f085"
  dependencies:
    asn1.js "^5.0.1"

performance-now@^2.1.0:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/performance-now/-/performance-now-2.1.0.tgz#6309f4e0e5fa913ec1c69307ae364b4b377c9e7b"

pez@2.x.x:
  version "2.1.5"
  resolved "https://registry.yarnpkg.com/pez/-/pez-2.1.5.tgz#5ec2cc62500cc3eb4236d4a414cf5a17b5eb5007"
  dependencies:
    b64 "3.x.x"
    boom "5.x.x"
    content "3.x.x"
    hoek "4.x.x"
    nigel "2.x.x"

physical-cpu-count@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/physical-cpu-count/-/physical-cpu-count-2.0.0.tgz#18de2f97e4bf7a9551ad7511942b5496f7aba660"


@@ 4930,14 4233,6 @@ pn@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/pn/-/pn-1.1.0.tgz#e2f4cef0e219f463c179ab37463e4e1ecdccbafb"

podium@1.x.x:
  version "1.3.0"
  resolved "https://registry.yarnpkg.com/podium/-/podium-1.3.0.tgz#3c490f54d16f10f5260cbe98641f1cb733a8851c"
  dependencies:
    hoek "4.x.x"
    items "2.x.x"
    joi "10.x.x"

posix-character-classes@^0.1.0:
  version "0.1.1"
  resolved "https://registry.yarnpkg.com/posix-character-classes/-/posix-character-classes-0.1.1.tgz#01eac0fe3b5af71a2a6c02feabb8c1fef7e00eab"


@@ 5283,16 4578,6 @@ progress@^2.0.0:
  version "2.0.3"
  resolved "https://registry.yarnpkg.com/progress/-/progress-2.0.3.tgz#7e8cf8d8f5b8f239c1bc68beb4eb78567d572ef8"

promise@~1.3.0:
  version "1.3.0"
  resolved "https://registry.yarnpkg.com/promise/-/promise-1.3.0.tgz#e5cc9a4c8278e4664ffedc01c7da84842b040175"
  dependencies:
    is-promise "~1"

promisify-es6@^1.0.3:
  version "1.0.3"
  resolved "https://registry.yarnpkg.com/promisify-es6/-/promisify-es6-1.0.3.tgz#b012668c4df3c965ce13daac2b3a4d1726a96346"

prop-types@^15.5.10, prop-types@^15.5.6, prop-types@^15.5.7, prop-types@^15.6.0, prop-types@^15.6.2, prop-types@^15.7.2:
  version "15.7.2"
  resolved "https://registry.yarnpkg.com/prop-types/-/prop-types-15.7.2.tgz#52c41e75b8c87e72b9d9360e0206b99dcbffa6c5"


@@ 5305,19 4590,6 @@ proto-list@~1.2.1:
  version "1.2.4"
  resolved "https://registry.yarnpkg.com/proto-list/-/proto-list-1.2.4.tgz#212d5bfe1318306a420f6402b8e26ff39647a849"

protocol-buffers-schema@^3.3.1:
  version "3.3.2"
  resolved "https://registry.yarnpkg.com/protocol-buffers-schema/-/protocol-buffers-schema-3.3.2.tgz#00434f608b4e8df54c59e070efeefc37fb4bb859"

protons@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/protons/-/protons-1.0.1.tgz#1c107144c07fc2d1cb8b6cb76451e6a938237676"
  dependencies:
    protocol-buffers-schema "^3.3.1"
    safe-buffer "^5.1.1"
    signed-varint "^2.0.1"
    varint "^5.0.0"

pseudomap@^1.0.2:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/pseudomap/-/pseudomap-1.0.2.tgz#f052a28da70e618917ef0a8ac34c1ae5a68286b3"


@@ 5337,20 4609,6 @@ public-encrypt@^4.0.0:
    randombytes "^2.0.1"
    safe-buffer "^5.1.2"

pull-defer@~0.2.3:
  version "0.2.3"
  resolved "https://registry.yarnpkg.com/pull-defer/-/pull-defer-0.2.3.tgz#4ee09c6d9e227bede9938db80391c3dac489d113"

pull-stream@^3.2.3, pull-stream@^3.6.9:
  version "3.6.12"
  resolved "https://registry.yarnpkg.com/pull-stream/-/pull-stream-3.6.12.tgz#11231c8dd77afe4ae30d1cd543873179e3b30a32"

pull-to-stream@~0.1.1:
  version "0.1.1"
  resolved "https://registry.yarnpkg.com/pull-to-stream/-/pull-to-stream-0.1.1.tgz#fa2058528528e3542b81d6f17cbc42288508ff37"
  dependencies:
    readable-stream "^3.1.1"

pump@^3.0.0:
  version "3.0.0"
  resolved "https://registry.yarnpkg.com/pump/-/pump-3.0.0.tgz#b4a2116815bde2f4e1ea602354e8c75565107a64"


@@ 5374,10 4632,6 @@ q@^1.1.2:
  version "1.5.1"
  resolved "https://registry.yarnpkg.com/q/-/q-1.5.1.tgz#7e32f75b41381291d04611f1bf14109ac00651d7"

qs@^6.5.2, qs@^6.6.0:
  version "6.7.0"
  resolved "https://registry.yarnpkg.com/qs/-/qs-6.7.0.tgz#41dc1a015e3d581f1621776be31afb2876a9b1bc"

qs@~6.5.2:
  version "6.5.2"
  resolved "https://registry.yarnpkg.com/qs/-/qs-6.5.2.tgz#cb3ae806e8740444584ef154ce8ee98d403f3e36"


@@ 5537,14 4791,6 @@ read-pkg@^4.0.1:
    parse-json "^4.0.0"
    pify "^3.0.0"

"readable-stream@2 || 3", readable-stream@^3.0.0, readable-stream@^3.0.1, readable-stream@^3.0.2, readable-stream@^3.0.6, readable-stream@^3.1.1, readable-stream@^3.3.0, readable-stream@^3.4.0:
  version "3.4.0"
  resolved "https://registry.yarnpkg.com/readable-stream/-/readable-stream-3.4.0.tgz#a51c26754658e0a3c21dbf59163bd45ba6f447fc"
  dependencies:
    inherits "^2.0.3"
    string_decoder "^1.1.1"
    util-deprecate "^1.0.1"

readable-stream@^2.0.2, readable-stream@^2.0.6, readable-stream@^2.2.2, readable-stream@^2.3.3, readable-stream@^2.3.6, readable-stream@~2.3.3, readable-stream@~2.3.6:
  version "2.3.6"
  resolved "https://registry.yarnpkg.com/readable-stream/-/readable-stream-2.3.6.tgz#b11c27d88b8ff1fbe070643cf94b0c79ae1b0aaf"


@@ 5557,6 4803,14 @@ readable-stream@^2.0.2, readable-stream@^2.0.6, readable-stream@^2.2.2, readable
    string_decoder "~1.1.1"
    util-deprecate "~1.0.1"

readable-stream@^3.1.1, readable-stream@^3.4.0:
  version "3.4.0"
  resolved "https://registry.yarnpkg.com/readable-stream/-/readable-stream-3.4.0.tgz#a51c26754658e0a3c21dbf59163bd45ba6f447fc"
  dependencies:
    inherits "^2.0.3"
    string_decoder "^1.1.1"
    util-deprecate "^1.0.1"

readdirp@^2.2.1:
  version "2.2.1"
  resolved "https://registry.yarnpkg.com/readdirp/-/readdirp-2.2.1.tgz#0e87622a3325aa33e892285caf8b4e846529a525"


@@ 5790,7 5044,7 @@ rimraf@1.x.x:
  version "1.0.9"
  resolved "https://registry.yarnpkg.com/rimraf/-/rimraf-1.0.9.tgz#be4801ff76c2ba6f1c50c78e9700eb1d21f239f1"

rimraf@2.6.3, rimraf@^2.6.1, rimraf@^2.6.2, rimraf@^2.6.3:
rimraf@2.6.3, rimraf@^2.6.1, rimraf@^2.6.2:
  version "2.6.3"
  resolved "https://registry.yarnpkg.com/rimraf/-/rimraf-2.6.3.tgz#b2d104fe0d8fb27cf9e0a1cda8262dd3833c6cab"
  dependencies:


@@ 5803,31 5057,12 @@ ripemd160@^2.0.0, ripemd160@^2.0.1:
    hash-base "^3.0.0"
    inherits "^2.0.1"

rsa-pem-to-jwk@^1.1.3:
  version "1.1.3"
  resolved "https://registry.yarnpkg.com/rsa-pem-to-jwk/-/rsa-pem-to-jwk-1.1.3.tgz#245e76bdb7e7234cfee7ca032d31b54c38fab98e"
  dependencies:
    object-assign "^2.0.0"
    rsa-unpack "0.0.6"

rsa-unpack@0.0.6:
  version "0.0.6"
  resolved "https://registry.yarnpkg.com/rsa-unpack/-/rsa-unpack-0.0.6.tgz#f50ebd56a628378e631f297161026ce9ab4eddba"
  dependencies:
    optimist "~0.3.5"

run-async@^2.2.0:
  version "2.3.0"
  resolved "https://registry.yarnpkg.com/run-async/-/run-async-2.3.0.tgz#0371ab4ae0bdd720d4166d7dfda64ff7a445a6c0"
  dependencies:
    is-promise "^2.1.0"

rust-result@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/rust-result/-/rust-result-1.0.0.tgz#34c75b2e6dc39fe5875e5bdec85b5e0f91536f72"
  dependencies:
    individual "^2.0.0"

rx@^4.1.0:
  version "4.1.0"
  resolved "https://registry.yarnpkg.com/rx/-/rx-4.1.0.tgz#a5f13ff79ef3b740fe30aa803fb09f98805d4782"


@@ 5842,16 5077,6 @@ safe-buffer@^5.0.1, safe-buffer@^5.1.0, safe-buffer@^5.1.1, safe-buffer@^5.1.2, 
  version "5.1.2"
  resolved "https://registry.yarnpkg.com/safe-buffer/-/safe-buffer-5.1.2.tgz#991ec69d296e0313747d59bdfd2b745c35f8828d"

safe-json-parse@^4.0.0:
  version "4.0.0"
  resolved "https://registry.yarnpkg.com/safe-json-parse/-/safe-json-parse-4.0.0.tgz#7c0f578cfccd12d33a71c0e05413e2eca171eaac"
  dependencies:
    rust-result "^1.0.0"

safe-json-stringify@^1.2.0:
  version "1.2.0"
  resolved "https://registry.yarnpkg.com/safe-json-stringify/-/safe-json-stringify-1.2.0.tgz#356e44bc98f1f93ce45df14bcd7c01cda86e0afd"

safe-regex@^1.1.0:
  version "1.1.0"
  resolved "https://registry.yarnpkg.com/safe-regex/-/safe-regex-1.1.0.tgz#40a3669f3b077d1e943d44629e157dd48023bf2e"


@@ 5885,19 5110,6 @@ scheduler@^0.13.6:
    loose-envify "^1.1.0"
    object-assign "^4.1.1"

secp256k1@^3.6.1:
  version "3.7.1"
  resolved "https://registry.yarnpkg.com/secp256k1/-/secp256k1-3.7.1.tgz#12e473e0e9a7c2f2d4d4818e722ad0e14cc1e2f1"
  dependencies:
    bindings "^1.5.0"
    bip66 "^1.1.5"
    bn.js "^4.11.8"
    create-hash "^1.2.0"
    drbg.js "^1.0.1"
    elliptic "^6.4.1"
    nan "^2.14.0"
    safe-buffer "^5.1.2"

"semver@2 || 3 || 4 || 5", semver@^5.3.0, semver@^5.4.1, semver@^5.5.0, semver@^5.5.1, semver@^5.6.0:
  version "5.7.0"
  resolved "https://registry.yarnpkg.com/semver/-/semver-5.7.0.tgz#790a7cf6fea5459bac96110b29b60412dc8ff96b"


@@ 6003,13 5215,6 @@ shebang-regex@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/shebang-regex/-/shebang-regex-1.0.0.tgz#da42f49740c0b42db2ca9728571cb190c98efea3"

shot@3.x.x:
  version "3.4.2"
  resolved "https://registry.yarnpkg.com/shot/-/shot-3.4.2.tgz#1e5c3f6f2b26649adc42f7eb350214a5a0291d67"
  dependencies:
    hoek "4.x.x"
    joi "10.x.x"

sigmund@^1.0.1:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/sigmund/-/sigmund-1.0.1.tgz#3ff21f198cad2175f9f3b781853fd94d0d19b590"


@@ 6018,12 5223,6 @@ signal-exit@^3.0.0, signal-exit@^3.0.2:
  version "3.0.2"
  resolved "https://registry.yarnpkg.com/signal-exit/-/signal-exit-3.0.2.tgz#b5fdc08f1287ea1178628e415e25132b73646c6d"

signed-varint@^2.0.1:
  version "2.0.1"
  resolved "https://registry.yarnpkg.com/signed-varint/-/signed-varint-2.0.1.tgz#50a9989da7c98c2c61dad119bc97470ef8528129"
  dependencies:
    varint "~5.0.0"

simple-swizzle@^0.2.2:
  version "0.2.2"
  resolved "https://registry.yarnpkg.com/simple-swizzle/-/simple-swizzle-0.2.2.tgz#a4da6b635ffcccca33f70d17cb92592de95e557a"


@@ 6092,12 5291,6 @@ socket.io-parser@~3.3.0:
    debug "~3.1.0"
    isarray "2.0.1"

somever@1.x.x:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/somever/-/somever-1.0.1.tgz#28a5c7de0d55f781af52fbce9960db1b84ce206e"
  dependencies:
    hoek "4.x.x"

source-map-resolve@^0.5.0:
  version "0.5.2"
  resolved "https://registry.yarnpkg.com/source-map-resolve/-/source-map-resolve-0.5.2.tgz#72e2cc34095543e43b2c62b2c4c10d4a9054f259"


@@ 6163,12 5356,6 @@ split-string@^3.0.1, split-string@^3.0.2:
  dependencies:
    extend-shallow "^3.0.0"

split2@^3.1.0:
  version "3.1.1"
  resolved "https://registry.yarnpkg.com/split2/-/split2-3.1.1.tgz#c51f18f3e06a8c4469aaab487687d8d956160bb6"
  dependencies:
    readable-stream "^3.0.0"

sprintf-js@^1.0.3:
  version "1.1.2"
  resolved "https://registry.yarnpkg.com/sprintf-js/-/sprintf-js-1.1.2.tgz#da1765262bf8c0f571749f2ad6c26300207ae673"


@@ 6191,22 5378,10 @@ sshpk@^1.7.0:
    safer-buffer "^2.0.2"
    tweetnacl "~0.14.0"

stable@^0.1.8, stable@~0.1.8:
stable@^0.1.8:
  version "0.1.8"
  resolved "https://registry.yarnpkg.com/stable/-/stable-0.1.8.tgz#836eb3c8382fe2936feaf544631017ce7d47a3cf"

statehood@5.x.x:
  version "5.0.4"
  resolved "https://registry.yarnpkg.com/statehood/-/statehood-5.0.4.tgz#bb5c343c357e3b6a18260c36cde4a282563ca558"
  dependencies:
    boom "5.x.x"
    bourne "1.x.x"
    cryptiles "3.x.x"
    hoek "4.x.x"
    iron "4.x.x"
    items "2.x.x"
    joi "12.x.x"

static-eval@^2.0.0:
  version "2.0.2"
  resolved "https://registry.yarnpkg.com/static-eval/-/static-eval-2.0.2.tgz#2d1759306b1befa688938454c546b7871f806a42"


@@ 6264,13 5439,6 @@ stream-http@^2.7.2:
    to-arraybuffer "^1.0.0"
    xtend "^4.0.0"

stream-to-pull-stream@^1.7.2:
  version "1.7.3"
  resolved "https://registry.yarnpkg.com/stream-to-pull-stream/-/stream-to-pull-stream-1.7.3.tgz#4161aa2d2eb9964de60bfa1af7feaf917e874ece"
  dependencies:
    looper "^3.0.0"
    pull-stream "^3.2.3"

string-width@^1.0.1:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/string-width/-/string-width-1.0.2.tgz#118bdf5b8cdc51a2a7e70d211e07e2b0b9b107d3"


@@ 6344,31 5512,6 @@ stylehacks@^4.0.0:
    postcss "^7.0.0"
    postcss-selector-parser "^3.0.0"

subtext@5.x.x:
  version "5.0.1"
  resolved "https://registry.yarnpkg.com/subtext/-/subtext-5.0.1.tgz#3ba39c93260e2e2ee1eddcde371be9d5fbe88861"
  dependencies:
    boom "5.x.x"
    bourne "1.x.x"
    content "3.x.x"
    hoek "4.x.x"
    pez "2.x.x"
    wreck "12.x.x"

superagent@^4.0.0-beta.5:
  version "4.1.0"
  resolved "https://registry.yarnpkg.com/superagent/-/superagent-4.1.0.tgz#c465c2de41df2b8d05c165cbe403e280790cdfd5"
  dependencies:
    component-emitter "^1.2.0"
    cookiejar "^2.1.2"
    debug "^4.1.0"
    form-data "^2.3.3"
    formidable "^1.2.0"
    methods "^1.1.1"
    mime "^2.4.0"
    qs "^6.6.0"
    readable-stream "^3.0.6"

supports-color@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/supports-color/-/supports-color-2.0.0.tgz#535d045ce6b6363fa40117084629995e9df324c7"


@@ 6433,16 5576,6 @@ table@^5.2.3:
    slice-ansi "^2.1.0"
    string-width "^3.0.0"

tar-stream@^2.0.1:
  version "2.1.0"
  resolved "https://registry.yarnpkg.com/tar-stream/-/tar-stream-2.1.0.tgz#d1aaa3661f05b38b5acc9b7020efdca5179a2cc3"
  dependencies:
    bl "^3.0.0"
    end-of-stream "^1.4.1"
    fs-constants "^1.0.0"
    inherits "^2.0.3"
    readable-stream "^3.1.1"

tar@^4:
  version "4.4.10"
  resolved "https://registry.yarnpkg.com/tar/-/tar-4.4.10.tgz#946b2810b9a5e0b26140cf78bea6b0b0d689eba1"


@@ 6474,12 5607,6 @@ through2@^2.0.0, through2@~2.0.3:
    readable-stream "~2.3.6"
    xtend "~4.0.1"

through2@^3.0.0, through2@^3.0.1:
  version "3.0.1"
  resolved "https://registry.yarnpkg.com/through2/-/through2-3.0.1.tgz#39276e713c3302edf9e388dd9c812dd3b825bd5a"
  dependencies:
    readable-stream "2 || 3"

through@^2.3.6:
  version "2.3.8"
  resolved "https://registry.yarnpkg.com/through/-/through-2.3.8.tgz#0dd4c9ffaabc357960b1b724115d7e0e86a2e1f5"


@@ 6554,12 5681,6 @@ toidentifier@1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/toidentifier/-/toidentifier-1.0.0.tgz#7e1be3470f1e77948bc43d94a3c8f4d7752ba553"

topo@2.x.x:
  version "2.0.2"
  resolved "https://registry.yarnpkg.com/topo/-/topo-2.0.2.tgz#cd5615752539057c0dc0491a621c3bc6fbe1d182"
  dependencies:
    hoek "4.x.x"

topo@3.x.x:
  version "3.0.3"
  resolved "https://registry.yarnpkg.com/topo/-/topo-3.0.3.tgz#d5a67fb2e69307ebeeb08402ec2a2a6f5f7ad95c"


@@ 6612,10 5733,6 @@ tweetnacl@^0.14.3, tweetnacl@~0.14.0:
  version "0.14.5"
  resolved "https://registry.yarnpkg.com/tweetnacl/-/tweetnacl-0.14.5.tgz#5ae68177f192d4456269d108afa93ff8743f4f64"

tweetnacl@^1.0.0:
  version "1.0.1"
  resolved "https://registry.yarnpkg.com/tweetnacl/-/tweetnacl-1.0.1.tgz#2594d42da73cd036bd0d2a54683dd35a6b55ca17"

type-check@~0.3.2:
  version "0.3.2"
  resolved "https://registry.yarnpkg.com/type-check/-/type-check-0.3.2.tgz#5884cab512cf1d355e3fb784f30804b2b520db72"


@@ 6718,10 5835,6 @@ uniqs@^2.0.0:
  version "2.0.0"
  resolved "https://registry.yarnpkg.com/uniqs/-/uniqs-2.0.0.tgz#ffede4b36b25290696e6e165d4a59edb998e6b02"

unique-by@^1.0.0:
  version "1.0.0"
  resolved "https://registry.yarnpkg.com/unique-by/-/unique-by-1.0.0.tgz#5220c86ba7bc572fb713ad74651470cb644212bd"

universalify@^0.1.0:
  version "0.1.2"
  resolved "https://registry.yarnpkg.com/universalify/-/universalify-0.1.2.tgz#b646f69be3942dabcecc9d6639c80dc105efaa66"


@@ 6758,13 5871,6 @@ url@^0.11.0:
    punycode "1.3.2"
    querystring "0.2.0"

ursa-optional@~0.9.10:
  version "0.9.10"
  resolved "https://registry.yarnpkg.com/ursa-optional/-/ursa-optional-0.9.10.tgz#f2eabfe0b6001dbf07a78740cd0a6e5ba6eb2554"
  dependencies:
    bindings "^1.3.0"
    nan "^2.11.1"

use@^3.1.0:
  version "3.1.1"
  resolved "https://registry.yarnpkg.com/use/-/use-3.1.1.tgz#d50c8cac79a19fbc20f2911f56eb973f4e10070f"


@@ 6826,10 5932,6 @@ value-equal@^0.4.0:
  version "0.4.0"
  resolved "https://registry.yarnpkg.com/value-equal/-/value-equal-0.4.0.tgz#c5bdd2f54ee093c04839d71ce2e4758a6890abc7"

varint@^5.0.0, varint@~5.0.0:
  version "5.0.0"
  resolved "https://registry.yarnpkg.com/varint/-/varint-5.0.0.tgz#d826b89f7490732fabc0c0ed693ed475dcb29ebf"

vendors@^1.0.0:
  version "1.0.3"
  resolved "https://registry.yarnpkg.com/vendors/-/vendors-1.0.3.tgz#a6467781abd366217c050f8202e7e50cc9eef8c0"


@@ 6842,12 5944,6 @@ verror@1.10.0:
    core-util-is "1.0.2"
    extsprintf "^1.2.0"

vise@2.x.x:
  version "2.0.2"
  resolved "https://registry.yarnpkg.com/vise/-/vise-2.0.2.tgz#6b08e8fb4cb76e3a50cd6dd0ec37338e811a0d39"
  dependencies:
    hoek "4.x.x"

vlq@^0.2.2:
  version "0.2.3"
  resolved "https://registry.yarnpkg.com/vlq/-/vlq-0.2.3.tgz#8f3e4328cf63b1540c0d67e1b2778386f8975b26"


@@ 6955,13 6051,6 @@ wrappy@1:
  version "1.0.2"
  resolved "https://registry.yarnpkg.com/wrappy/-/wrappy-1.0.2.tgz#b5243d8f3ec1aa35f1364605bc0d1036e30ab69f"

wreck@12.x.x:
  version "12.5.1"
  resolved "https://registry.yarnpkg.com/wreck/-/wreck-12.5.1.tgz#cd2ffce167449e1f0242ed9cf80552e20fb6902a"
  dependencies:
    boom "5.x.x"
    hoek "4.x.x"

write@1.0.3:
  version "1.0.3"
  resolved "https://registry.yarnpkg.com/write/-/write-1.0.3.tgz#0800e14523b923a387e415123c865616aae0f5c3"


@@ 7004,7 6093,7 @@ yallist@^2.1.2:
  version "2.1.2"
  resolved "https://registry.yarnpkg.com/yallist/-/yallist-2.1.2.tgz#1c11f9218f076089a47dd512f93c6699a6a81d52"

yallist@^3.0.0, yallist@^3.0.2, yallist@^3.0.3:
yallist@^3.0.0, yallist@^3.0.3:
  version "3.0.3"
  resolved "https://registry.yarnpkg.com/yallist/-/yallist-3.0.3.tgz#b4b049e314be545e3ce802236d6cd22cd91c3de9"